package com.yeejoin.amos.boot.module.jxiop.api.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yeejoin.amos.boot.module.jxiop.api.dto.CompanyTreeDto;
import com.yeejoin.amos.boot.module.jxiop.api.dto.HouseholdPvDto;
import com.yeejoin.amos.boot.module.jxiop.api.entity.HouseholdPvDistrict;

import java.util.List;

/**
 * 接口类
 *
 * @author system_generator
 * @date 2023-03-17
 */
public interface IHouseholdPvDistrictService extends IService<HouseholdPvDistrict>{

    List<CompanyTreeDto> getTree();

    List<CompanyTreeDto> getBusinessTree(Long parentId);

    List<CompanyTreeDto> stationTree();

    HouseholdPvDistrict treeAdd(Long parentId, String name);

    HouseholdPvDistrict treeUpdate(Long id, String name);

    String treeNodesRemove(Long id);

    /**
     * 场站id(提供给场站管理-删除场站校验使用)
     * @param id
     * @return
     */
    String removeCheck(Long id);
}
